#ifndef ACC_DATA
#define ACC_DATA

#include <string.h>
#include <panel.h>

#include "traindata.h"

#define MAX_ACCS 128
#define ACC_WINDOW_LINES 4
#define ACC_WINDOW_COLS 7

class aData {
	public:
		aData(char* name, int addr, int val,int offset);
		~aData();
	
		void toggle();
		void setValue(int val);
		void changeAddress(int addr);

		void resizeWindow(int y, int x,int offset);
		void redrawWindow();

		void setHighlight(bool h);

	        char name[32];
        	int addr, value;

	        PANEL *tp;
	private:
		void resetFuncs();
		bool highlight;
};

#endif
