#include "connection.h"

connection::connection(char* svr, int port) {
	inBuffer = (char*)malloc(sizeof(char)*2048);
        if ((sock = socket(PF_INET,SOCK_STREAM,IPPROTO_TCP)) >= 0) {
        	memset(&server,0,sizeof(server));
	        server.sin_family=AF_INET;
        	server.sin_addr.s_addr = inet_addr(svr);
        	server.sin_port = htons(port);
        	if (connect(sock,(struct sockaddr *)&server,sizeof(server)) >= 0) connected = true;
		else connected = false;
        } else connected = false;
}

connection::~connection() {
        if (connected) {
                close(sock);
                connected = false;
        }
}

/*char* connection::getLastMessage() {
	return strsep(&inBuffer,"\n\r\0");
}*/

char* connection::sendMessage(char* fmt,...) {
        char disp[40];
        va_list args;
        va_start(args,fmt);
        vsprintf(msg,fmt,args);
        va_end(args);
        sprintf(disp,"%s",msg);
        sprintf(msg,"%s\n",msg);

        if (connected) {
                unsigned int msglen = strlen(msg);
                if (send(sock, msg, msglen, 0) != msglen) return NULL;
                else {
			char tmp[256];
			read(sock,tmp,255);
			sprintf(msg,"%s\0",tmp);
                        return msg;
                }
        } else {
                return NULL;
        }
}

bool connection::isConnected() { return connected; }
