#ifndef TRAIN_CONNECTION
#define TRAIN_CONNECTION

#include <sys/socket.h>
#include <arpa/inet.h>
#include <unistd.h>
#include <netinet/in.h>
#include <stdarg.h>
#include <string.h>
#include <stdlib.h>
#include <stdio.h>

class connection {
	public:
		connection(char* ipAddress, int port);
		~connection();
		bool isConnected();
		char* sendMessage(char* fmt,...);
		//char* getLastMessage();
	private:
		int 	sock;
		char    serverAddr[128],msg[256];
		char*	inBuffer;
		int     serverPort;
		struct	sockaddr_in server;
		bool 	connected;
};


#endif
