#ifndef TRAIN_DIALOG
#define TRAIN_DIALOG

#include <form.h>
#include <panel.h>
#include <stdlib.h>
#include "traindata.h"

#define tFields 5

class trainDialog {
	public:
		trainDialog(tData* tr);
		~trainDialog();
		void showDialog();
		void hideDialog();
		void redrawDialog();
		char* getFieldValue(int idx);
		void setFieldValue(int idx, char* val);
		bool parseInput(int ch);
		void updateTrain();
		tData*	t;
	private:
		FORM*	trForm;
		FIELD*	trField[6];
		PANEL*	trPanel;
};

#endif

