#ifndef TRAIN_DATA
#define TRAIN_DATA

#include <string.h>
#include <panel.h>

#define CONSOLE_HEIGHT 	5

#define ACC_OFFSET 6
#define MAX_TRAINS 16
#define MAX_FUNCTIONS 16
#define TRAIN_WINDOW_LINES 8
#define TRAIN_WINDOW_COLS 14

//train data... more to come i'd imagine.
class tData {
	public:
		tData(char* name, int addr, int mspd, int numf, int offset);
		~tData();
	
		void changeSpeed(int add);
		void changeDirection(int dir);
		void changeAddress(int addr);

		char fStr[16];
	
		void setSpeed(int spd);
		void setNFuncs(int nf);
		void resizeWindow(int y, int x,int offset);
	
		void toggleFunction(int f);
	
		void redrawWindow();

		void setHighlight(bool h);

	        char name[32];
        	int addr, speed, mspeed, dir;

		int numf;
		int functions[MAX_FUNCTIONS];

	        PANEL *tp;
	private:
		void resetFuncs();
		int throttleEnd,throttleStart;
		bool highlight;
};

char *strip(char *haystack, char *needles);

#endif
